[code]
Blinkit         proto :HDC,:dword,:dword

PauseCt         dd    0       ; time delay   
CtFlipFlopSwh   db    0        
CtLooper        dd    0       ; loop control 

Blinkit proc hdc,xa, ya
        push edx
        invoke GetTickCount   ; get a time reference
        mov PauseCt, eax
        mov CtLooper, 6       ; # of blue/white flips  
PauseIt:
        invoke GetTickCount   ; get a time reference
         mov edx, eax
         sub eax, PauseCt
         mov PauseCt, edx
         .if eax < 7          ; time delay of gettickcount
            jmp PauseIt
         .endif
        .While CtLooper > 0
          .if CtFlipFlopSwh == 0
            invoke BitBlt, hdc,xa,ya,33,33,hdc,1,1,SRCCOPY
            mov CtFlipFlopSwh, 1
          .else
            invoke BitBlt, hdc,xa,ya,33,33,hdc,1,1,MERGEPAINT
            mov CtFlipFlopSwh, 0
          .endif
          dec CtLooper
          jmp PauseIt                
        .endw
        pop edx
        mov CtFlipFlopSwh, 0
        ret
Blinkit endp
[/code]
